Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.database.fetch
Class ExpasySequenceRetriever

    java.lang.Object
      |
      +--uk.ac.man.bioinf.database.fetch.ExpasySequenceRetriever

All Implemented Interfaces:
  SequenceRetriever

public class ExpasySequenceRetriever
extends Object
implements SequenceRetriever

ExpasySequenceRetriever.java Retrieves Swissprot sequence from Expasy. For this class to work it makes an HTTP connection, and it therefore works a lot better, if the HTTP proxy has been set correctly. java -DproxySet=true -DproxyHost=proxyhost [-DproxyPort=portNumber] is a good way to do this. It also makes explicit use of the URL format used at EXPASY, and I have no idea how stable these are. I am retrieving Created: Thu Feb 8 17:22:05 2001

Version:
  $Id: ExpasySequenceRetriever.java,v 1.2 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`ExpasySequenceRetriever()`
`ExpasySequenceRetriever(String baseURL)`

Method Summary
`void` | `close()`
`void` | `dispose()`
`Sequence` | `retrieveSequence(String swissprot, ParserExceptionHandler exp)`
`InputStream` | `retrieveSequenceStream(String swissprot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpasySequenceRetriever

    public ExpasySequenceRetriever()
                            throws IOException

### ExpasySequenceRetriever

    public ExpasySequenceRetriever(String baseURL)
                            throws IOException

Method Detail

### retrieveSequence

    public Sequence retrieveSequence(String swissprot,
                                     ParserExceptionHandler exp)
                              throws IOException

  Specified by:
    `retrieveSequence` in interface `SequenceRetriever`
    `IOException`

### retrieveSequenceStream

    public InputStream retrieveSequenceStream(String swissprot)
                                       throws IOException

  Specified by:
    `retrieveSequenceStream` in interface `SequenceRetriever`
    `IOException`

### close

    public void close()

  Specified by:
    `close` in interface `SequenceRetriever`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `SequenceRetriever`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD